
#	Option		"AIGLX"	"off"

Section "ServerLayout"
	Identifier     "X.org Configured"
	Screen      0  "Screen0" 0 0
	InputDevice    "Keyboard0" "CoreKeyboard"
	#InputDevice    "TouchPad"
	InputDevice    "TouchPad"
	InputDevice    "Mouse0" "CorePointer"
#	InputDevice    "TouchPad" "CorePointer"
	#InputDevice	"tslib"	"SendCoreEvents"
#	InputDevice	"touchscreen"	"SendCoreEvents"
#	InputDevice	"AlpsPS/2 ALPS GlidePoint"
	InputDevice    "stylus" 
	InputDevice    "eraser" 
	InputDevice    "cursor" 
	InputDevice    "touch" 	
#	InputDevice    "pad" 	
	#InputDevice    "stylus" "SendCoreEvents"
	#InputDevice    "eraser" "SendCoreEvents"
	#InputDevice    "pad" "SendCoreEvents"
	#InputDevice    "touch" "SendCoreEvents"
	#InputDevice    "cursor" "SendCoreEvents"
EndSection

Section "Files"
	RgbPath      "/etc/X11/rgb"
	ModulePath   "/usr/local/lib/xorg/modules"
	ModulePath   "/usr/lib/xorg/modules"
	FontPath     "/usr/share/fonts/X11/misc"
	FontPath     "/usr/share/fonts/X11/cyrillic"
	FontPath     "/usr/share/fonts/X11/100dpi/:unscaled"
	FontPath     "/usr/share/fonts/X11/75dpi/:unscaled"
	FontPath     "/usr/share/fonts/X11/Type1"
	FontPath     "/usr/share/fonts/X11/100dpi"
	FontPath     "/usr/share/fonts/X11/75dpi"
	FontPath     "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType"
EndSection

Section "Module"
	Load  "dri"
	Load  "xtrap"
	Load  "record"
	Load  "glx"
	Load  "dbe"
	Load  "GLcore"
	Load  "extmod"
EndSection

Section "InputDevice"
	Identifier  "Keyboard0"
	Driver      "kbd"
EndSection

Section "InputDevice"
	Identifier  "Mouse0"
	Driver      "mouse"
	Option	    "Protocol" "auto"
	Option	    "Device" "/dev/input/mice"
	#Option	    "Device" "/dev/input/mouse0"
	#Option	    "Device" "/dev/input/by-path/platform-i8042-serio-1-mouse"
	Option	    "ZAxisMapping" "4 5 6 7"
	#Option	    "SendCoreEvents" "true"
	Option	    "Emulate3Buttons" "true"
EndSection

Section "InputDevice"
	#Identifier  "AlpsPS/2 ALPS GlidePoint"
	Identifier  "TouchPad"
	#Option	    "Device" "/dev/input/mice"
	Option	    "Device" "/dev/input/event7"
	#Option	    "Device" "/dev/input/by-path/platform-i8042-serio-1-event-mouse"
	Driver      "synaptics"
	Option	    "Protocol" "auto-dev"
	Option	    "SHMConfig" "true"
#	Option	    "LeftEdge" "120"
#	Option	    "RightEdge" "830"
#	Option	    "TopEdge" "120"
#	Option	    "BottomEdge" "650"
#	Option	    "FingerLow" "14"
#	Option	    "FingerHigh" "15"
#	Option	    "MaxTapTime" "180"
#	Option	    "MaxTapMove" "110"
#	Option	    "EmulateMidButtonTime" "75"
#	Option	    "VertScrollDelta" "20"
#	Option	    "HorizScrollDelta" "20"
#	Option	    "MinSpeed" "0.3"
#	Option	    "MaxSpeed" "0.75"
#	Option	    "AccelFactor" "0.015"
#	Option	    "EdgeMotionMinSpeed" "15"
#	Option	    "EdgeMotionMaxSpeed" "15"
#	Option	    "UpDownScrolling" "1"
#	Option	    "CircularScrolling" "1"
#	Option	    "CircScrollDelta" "0.1"
#	Option	    "CircScrollTrigger" "2"
  Option        "LeftEdge"              "120"
  Option        "RightEdge"             "830"
  Option        "TopEdge"               "120"
  Option        "BottomEdge"            "650"
  Option        "FingerLow"             "14"
  Option        "FingerHigh"            "15"
  Option        "MaxTapTime"            "180"
  Option        "MaxTapMove"            "110"
  Option        "EmulateMidButtonTime"  "75"
  Option        "VertScrollDelta"       "20"
  Option        "HorizScrollDelta"      "20"
  Option        "CornerCoasting"        "1"
  Option        "CoastingSpeed"         "3"
  Option        "MinSpeed"              "0.3"
  Option        "MaxSpeed"              "0.75"
  Option        "AccelFactor"           "0.015"
  Option        "EdgeMotionMinSpeed"    "200"
  Option        "EdgeMotionMaxSpeed"    "200"
  Option        "UpDownScrolling"       "1"
  Option        "CircularScrolling"     "1"
  Option        "CircScrollDelta"       "0.1"
  Option        "CircScrollTrigger"     "2"
  Option        "LeftEdge"              "120"
  Option        "RightEdge"             "830"
  Option        "TopEdge"               "120"
  Option        "BottomEdge"            "650"
  Option        "FingerLow"             "14"
  Option        "FingerHigh"            "15"
  Option        "MaxTapTime"            "180"
  Option        "MaxTapMove"            "110"
  Option        "EmulateMidButtonTime"  "75"
  Option        "VertScrollDelta"       "20"
  Option        "HorizScrollDelta"      "20"
  Option        "CornerCoasting"        "1"
  Option        "CoastingSpeed"         "3"
  Option        "MinSpeed"              "0.3"
  Option        "MaxSpeed"              "0.75"
  Option        "AccelFactor"           "0.015"
  Option        "EdgeMotionMinSpeed"    "200"
  Option        "EdgeMotionMaxSpeed"    "200"
  Option        "UpDownScrolling"       "1"
  Option        "CircularScrolling"     "1"
  Option        "CircScrollDelta"       "0.1"
  Option        "CircScrollTrigger"     "2"

EndSection

Section "InputDevice"
	Identifier  "mouse"
	Driver      "mouse"
	Option	    "SendCoreEvents" "true"
	Option	    "Device" "/dev/input/mice"
	Option	    "Protocol" "ExplorerPS/2"
	Option	    "Emulate3Buttons" "true"
	Option	    "ZAxisMapping" "4 5"
EndSection

Section "Monitor"
	Identifier   "Monitor0"
	VendorName   "Monitor Vendor"
	ModelName    "Monitor Model"
	DisplaySize  271 169
	
	ModeLine "768x480"     31.50   768  824  944 1000   480  490  492  525 -hsync -vsync
	ModeLine "960x600"     50.00   960 1060 1220 1320   600  601  605  628 +hsync +vsync
	ModeLine "960x600"     60.00   960  968 1048 1264   600  601  603  625 +hsync +vsync
	ModeLine "1232x768"    75.00  1232 1312 1480 1552   768  771  777  806 -hsync -vsync
	ModeLine "1384x864"   108.00  1384 1424 1552 1600   864  865  868  900 +hsync +vsync
	ModeLine "1536x960"   108.00  1536 1608 1720 1800   960  961  964 1000 +hsync +vsync
	ModeLine "1640x1024"  135.00  1640 1800 1944 2112  1024 1025 1028 1066 +hsync +vsync
	ModeLine "1920x1200"  154.00  1920 1952 2016 2080  1200 1203 1205 1234 +hsync 
	Modeline "1280x800"   71.45  1280 1301 1333 1460  800 804 808 816 -hsync -vsync
        # 1280x800 @ 60.00 Hz (GTF) hsync: 49.68 kHz; pclk: 83.46 MHz
        ModeLine "1280x800" 83.5 1280 1344 1480 1680 800 801 804 828
        # 1280x800 @ 75.00 Hz (GTF) hsync: 62.62 kHz; pclk: 107.21 MHz
        Modeline "1280x800"  107.21  1280 1360 1496 1712  800 801 804 835
        # 1280x800 @ 85.00 Hz (GTF) hsync: 71.40 kHz; pclk: 123.38 MHz
        Modeline "1280x800"  123.38  1280 1368 1504 1728  800 801 804 840
        # 1280x800 @ 100.00 Hz (GTF) hsync: 84.80 kHz; pclk: 147.89 MHz
        Modeline "1280x800"  147.89  1280 1376 1512 1744  800 801 804 848
	Modeline "320x200"  122.00  320 1712 1776 1904  200 1051 1054 1066 +hsync +vsync
	Modeline "640x400"  122.00  640 1712 1776 1904  400 1051 1054 1066 +hsync +vsync
	Modeline "640x480"  122.00  640 1712 1776 1904  400 1051 1054 1066 +hsync +vsync

EndSection

Section "Device"

        ### Available Driver options are:-
        ### Values: <i>: integer, <f>: float, <bool>: "True"/"False",
        ### <string>: "String", <freq>: "<f> Hz/kHz/MHz"
        ### [arg]: arg optional
        #Option     "NoAccel"            	# [<bool>]
        #Option     "NoDRI"              	# [<bool>]
        #Option     "SWcursor"           	# [<bool>]
        #Option     "Dac6Bit"            	# [<bool>]
        #Option     "BusType"            	# [<str>]
        #Option     "DRM_nbufs"          	# <i>
        #Option     "DRM_bufsize"        	# <i>
        #Option     "Capabilities"       	# <i>
        #Option     "CapabilitiesEx"     	# <i>
        #Option     "ClientDriverName"   	# [<str>]
        #Option     "KernelModuleParm"   	# [<str>]
        #Option     "AGPMask"            	# <i>
        #Option     "AGPv3Mask"          	# <i>
        #Option     "BufferTiling"       	# [<bool>]
        #Option     "Profile"            	# <str>
        #Option     "RingSize"           	# <i>
        #Option     "EnableDepthMoves"   	# [<bool>]
        #Option     "GammaCorrectionI"   	# <i>
        #Option     "GammaCorrectionII"  	# <i>
        #Option     "OpenGLOverlay"      	# [<bool>]
        #Option     "DefaultVisualTrueColor" 	# [<bool>]
        #Option     "VideoOverlay"       	# [<bool>]
        #Option     "DesktopSetup"       	# [<str>]
        #Option     "MonitorLayout"      	# [<str>]
        #Option     "ForceMonitors"      	# [<str>]
        #Option     "EnableMonitor"      	# <str>
        #Option     "OverlayOnCRTC2"     	# [<bool>]
        #Option     "Mode2"              	# [<str>]
        #Option     "PairModes"          	# [<str>]
        #Option     "HSync2"             	# [<str>]
        #Option     "VRefresh2"          	# [<str>]
        #Option     "ScreenOverlap"      	# <i>
        #Option     "MemClock"           	# <i>
        #Option     "ASICClock"          	# <i>
        #Option     "UseInternalAGPGART" 	# [<bool>]
        #Option     "FastSwap"           	# [<bool>]
        #Option     "Stereo"             	# [<bool>]
        #Option     "StereoSyncEnable"   	# <i>
        #Option     "DisableOvScaler"    	# [<bool>]
        #Option     "UseFastTLS"         	# <i>
        #Option     "BlockSignalsOnLock" 	# [<bool>]
        #Option     "ForceGenericCPU"    	# [<bool>]
        #Option     "CenterMode"         	# [<bool>]
        #Option     "OffScreenPixmaps"   	# [<bool>]
        #Option     "EnableOpaqueOverlayVisual" 	# [<bool>]
        #Option     "TMDSCoherentMode"   	# [<bool>]
        #Option     "EnablePrivateBackZ" 	# [<bool>]
        #Option     "TVFormat"           	# [<str>]
        #Option     "TVStandard"         	# [<str>]
        #Option     "TVOverscan"         	# [<bool>]
        #Option     "TVHSizeAdj"         	# <i>
        #Option     "TVVSizeAdj"         	# <i>
        #Option     "TVHPosAdj"          	# <i>
        #Option     "TVVPosAdj"          	# <i>
        #Option     "TVHStartAdj"        	# <i>
        #Option     "TVColorAdj"         	# <i>
        #Option     "PseudoColorVisuals" 	# [<bool>]
        #Option     "PreferredVRefresh"  	# <i>
        #Option     "FastStart"          	# [<bool>]
        #Option     "ProfileDriver"      	# [<bool>]
        #Option     "PPPTforGART"        	# [<bool>]
        #Option     "TexturedVideo"      	# [<bool>]
        #Option     "TexturedVideoSync"  	# [<bool>]
        #Option     "Textured2D"         	# [<bool>]
        #Option     "TexturedXrender"    	# [<bool>]
        #Option     "DPMS"               	# [<bool>]
        #Option     "MaxGARTSize"        	# <i>
        #Option     "LogoPosX"           	# <i>
        #Option     "LogoPosY"           	# <i>
        #Option     "LogoColFG"          	# <i>
        #Option     "LogoColBG"          	# <i>
        #Option     "SwapScreens"        	# [<bool>]
        #Option     "FBC"                	# [<bool>]
        #Option     "FrontBufferMode"    	# <i>
        #Option     "BackBufferMode"     	# <i>
        #Option     "DepthBufferMode"    	# <i>
        #Option     "OverlayBufferMode"  	# <i>
        #Option     "VideoOverlayBufferMode" 	# <i>
        #Option     "EnableIrqMgr"       	# [<bool>]
        #Option     "EnableMulticard"    	# [<bool>]
        #Option     "EnablePPLIB"        	# [<bool>]
        #Option     "DefaultOnDC"        	# [<bool>]
        Option     "NoDRI"              	"true"
	Identifier  "Card0_fglrx"
	Driver      "fglrx"
	VendorName  "ATI Technologies Inc"
	BoardName   "Unknown Board"
	#Option	    "RandRRotation" "on"
	#Option	    "OpenGLOverlay" "true"
        Option     "TexturedVideo" "true"
	#Option	    "VideoOverlay" "true"
	Option	    "TerminateServer" "true"
	BusID       "PCI:1:5:0"
EndSection

Section "Device"
        ### Available Driver options are:-
        ### Values: <i>: integer, <f>: float, <bool>: "True"/"False",
        ### <string>: "String", <freq>: "<f> Hz/kHz/MHz"
        ### [arg]: arg optional
        #Option     "NoAccel"            	# [<bool>]
        #Option     "SWcursor"           	# [<bool>]
        #Option     "Dac6Bit"            	# [<bool>]
        #Option     "Dac8Bit"            	# [<bool>]
        #Option     "BusType"            	# [<str>]
        #Option     "CPPIOMode"          	# [<bool>]
        #Option     "CPusecTimeout"      	# <i>
        #Option     "AGPMode"            	# <i>
        #Option     "AGPFastWrite"       	# [<bool>]
        #Option     "AGPSize"            	# <i>
        #Option     "GARTSize"           	# <i>
        #Option     "RingSize"           	# <i>
        #Option     "BufferSize"         	# <i>
        #Option     "EnableDepthMoves"   	# [<bool>]
        #Option     "EnablePageFlip" "true"     	# [<bool>]
        #Option     "NoBackBuffer"       	# [<bool>]
        Option     "DMAForXv"    "true"       	# [<bool>]
        #Option     "FBTexPercent"       	# <i>
        #Option     "DepthBits"          	# <i>
        #Option     "PCIAPERSize"        	# <i>
        Option     "AccelDFS"      "true"     	# [<bool>]
        #Option     "DDCMode"            	# [<bool>]
        #Option     "IgnoreEDID"         	# [<bool>]
        #Option     "DisplayPriority"    	# [<str>]
        #Option     "PanelSize"          	# [<str>]
        #Option     "ForceMinDotClock"   	# <freq>
        #Option     "ColorTiling"        	# [<bool>]
        #Option     "VideoKey"           	# <i>
        #Option     "RageTheatreCrystal" 	# <i>
        #Option     "RageTheatreTunerPort" 	# <i>
        #Option     "RageTheatreCompositePort" 	# <i>
        #Option     "RageTheatreSVideoPort" 	# <i>
        #Option     "TunerType"          	# <i>
        #Option     "RageTheatreMicrocPath" 	# <str>
        #Option     "RageTheatreMicrocType" 	# <str>
        #Option     "ScalerWidth"        	# <i>
        #Option     "RenderAccel"        	# [<bool>]
        #Option     "SubPixelOrder"      	# [<str>]
        Option     "ShowCache"   "true"       	# [<bool>]
        #Option     "DynamicClocks"      	# [<bool>]
        #Option     "VGAAccess"          	# [<bool>]
        #Option     "ReverseDDC"         	# [<bool>]
        #Option     "LVDSProbePLL"       	# [<bool>]
        #Option     "AccelMethod"        	# <str>
        #Option     "DRI"                	# [<bool>]
        #Option     "ConnectorTable"     	# <str>
        #Option     "DefaultConnectorTable" 	# [<bool>]
        #Option     "DefaultTMDSPLL"     	# [<bool>]
        #Option     "TVDACLoadDetect"    	# [<bool>]
        #Option     "ForceTVOut"         	# [<bool>]
        #Option     "TVStandard"         	# <str>
        #Option     "IgnoreLidStatus"    	# [<bool>]
        #Option     "DefaultTVDACAdj"    	# [<bool>]
        #Option     "Int10"              	# [<bool>]
	
        Option     "RenderAccel"	"true"
#        Option     "AccelMethod"	"EXA"        	# <str>
#        Option     "AccelMethod"	"XAA"        	# <str>
        #Option     "DRI"		"true"                	# [<bool>]
        #Option     "DDCMode"            	# [<bool>]
        Option     "IgnoreEDID" 	"true"        	# [<bool>]
	Identifier  "Card0_ati"
	Driver      "ati"
	VendorName  "ATI Technologies Inc"
	BoardName   "Unknown Board"
	BusID       "PCI:1:5:0"
EndSection
Section "Device"
        ### Available Driver options are:-
        ### Values: <i>: integer, <f>: float, <bool>: "True"/"False",
        ### <string>: "String", <freq>: "<f> Hz/kHz/MHz"
        ### [arg]: arg optional
        #Option     "NoAccel"    "true"               # [<bool>]
        #Option     "AccelMethod"               # [<str>]
        #Option     "offscreensize"             # [<str>]
        #Option     "SWcursor"                  # [<bool>]
        #Option     "ignoreconnector"           # [<str>]
        #Option     "forcereduced"              # [<bool>]
        #Option     "forcedpi"                  # <i>
        #Option     "useconfiguredmonitor"      # [<bool>]
        #Option     "HPD"                       # <str>
        #Option     "NoRandr"                   # [<bool>]
        #Option     "RRUseXF86Edid"             # [<bool>]
        #Option     "RROutputOrder"             # [<str>]
        #Option     "DRI"                       # [<bool>]
        #Option     "TVMode"                    # [<str>]
        #Option     "ScaleType"                 # [<str>]
        #Option     "UnverifiedFeatures"        # [<bool>]
	Option "AccelMethod" "EXA"
#	Option "AccelMethod" "XAA"
        Option     "DRI"	"true"
        #Option     "NoAccel"    "true"               # [<bool>]
        Option     "UnverifiedFeatures" "on"       # [<bool>]
#        Option     "RenderAccel"	"true"
#        Option     "AccelMethod"	"EXA"        	# <str>
	Identifier  "Card0_radeonhd"
	Driver      "radeonhd"
	#Option "UnverifiedFeatures" "off" 
	VendorName  "ATI Technologies Inc"
	BoardName   "Unknown Board"
	BusID       "PCI:1:5:0"
EndSection

Section "InputDevice"
	Identifier "touchscreen"
	Driver "evtouch"
	Option "Device" "/dev/input/by-path/pci-0000:00:13.1-usb-0:2:1.0-event-mouse"
	Option "DeviceName" "touchscreen"
	Option "MinX" "0"
	Option "MinY" "0"
	Option "MaxX" "9563"
	Option "MaxY" "7172"
	Option "TapTimer" "0"
	Option "LongTouchTimer" "1"
	Option "MoveLimit"	"1"
	Option "Buttons" "5"
	#Option "ReportingMode" "Raw"
	#Option "Emulate3Buttons"
	#Option "Emulate3Timeout" "50"
	Option "SendCoreEvents" "On"
EndSection

Section "InputDevice"
	Driver        "wacom"
	Option		"Mode"	"Absolute"
	Identifier    "stylus"
	Option        "Type"          "stylus"
#	Option        	"ForceDevice" "ISDV4"               # Tablet PC ONLY
	Option "Device" "/dev/input/by-path/pci-0000:00:13.1-usb-0:2:1.0-event-mouse"
	Option		"Touch"	"on"
EndSection

Section "InputDevice"
	Driver        "wacom"
	Identifier    "eraser"
	Option       	"Type"          "eraser"
	Option		"Mode"	"Absolute"
#	Option        	"ForceDevice" "ISDV4"               # Tablet PC ONLY
	Option "Device" "/dev/input/by-path/pci-0000:00:13.1-usb-0:2:1.0-event-mouse"
EndSection

Section "InputDevice"
	Driver        "wacom"
	Option		"Mode"	"Absolute"
	Identifier    "cursor"
	Option        "Type"          "cursor"
#	Option        	"ForceDevice" "ISDV4"               # Tablet PC ONLY
	Option "Device" "/dev/input/by-path/pci-0000:00:13.1-usb-0:2:1.0-event-mouse"
EndSection

# This section is for Intuos3, CintiqV5, Graphire4, or Bamboo
Section "InputDevice"
	Driver        "wacom"
	Option		"Mode"	"Absolute"
	Identifier    "pad"
	Option        "Type"          "pad"
#	Option        	"ForceDevice" "ISDV4"               # Tablet PC ONLY
	Option "Device" "/dev/input/by-path/pci-0000:00:13.1-usb-0:2:1.0-event-mouse"
EndSection

# This section is for the TabletPC that supports touch
Section "InputDevice"
  Driver        "wacom"
	Option		"Mode" "Absolute"
	Identifier	"touch"
	Option     	"Type" "touch"
#	Option        	"ForceDevice" "ISDV4"               # Tablet PC ONLY
	Option 		"Device" "/dev/input/by-path/pci-0000:00:13.1-usb-0:2:1.0-event-mouse"
	Option 		"TopX"		"0"
	Option 		"TopY"		"0"
	Option 		"BottomX"	"9600"
	Option 		"BottomY"	"7200"
        Option		"Touch"		"on"
	Option		"Supress"	"0"
	#Option		"DebugLevel"	"8"
	#Option        "USB"           "on"                  # USB ONLY
EndSection

Section "InputDevice"
	Identifier "tslib"
	Driver "tslib"
	Option "ScreenNumber"  "0"
	Option "Width" "9563"
	Option "Height" "7172"
	Option "Rotate"    "NONE"
	Option "TslibDevice" "/dev/input/by-path/pci-0000:00:13.1-usb-0:2:1.0-event-mouse"
	Option "SendCoreEvents" "On"
EndSection

Section "Screen"
	Identifier "Screen0"
	#Device     "Card0"
	#Device     "Card0_fglrx"
	Device     "Card0_ati"
	#Device     "Card0_radeonhd"
	Monitor    "Monitor0"
	DefaultDepth     24
	SubSection "Display"
		Viewport   0 0
		Depth     32
		Modes	"1280x800" "960x600"
	EndSubSection
	SubSection "Display"
		Viewport   0 0
		Depth     24
		Modes	"1280x800" "960x600" "768x480" "640x400" "320x200"
	EndSubSection
	SubSection "Display"
		Viewport   0 0
		Depth     1
	EndSubSection
	SubSection "Display"
		Viewport   0 0
		Depth     4
	EndSubSection
	SubSection "Display"
		Viewport   0 0
		Depth     8
	EndSubSection
	SubSection "Display"
		Viewport   0 0
		Depth     15
	EndSubSection
	SubSection "Display"
		Viewport   0 0
		Depth     16
	EndSubSection
EndSection

Section "Extensions"
	#Option	    "Composite" "True"
	#Option	    "RandRRotation" "true"
EndSection

